# Generated by Django 2.1.7 on 2019-07-10 14:08

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('angled', '0040_info_unit_zone_reading_zone_tagged_zone'),
    ]

    operations = [
        migrations.CreateModel(
            name='info_unit_program',
            fields=[
                ('id', models.AutoField(primary_key=True, serialize=False)),
                ('eol', models.DateTimeField(blank=True, null=True)),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('component', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='of_project_program_component', to='angled.Term')),
                ('project', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='angled.Project')),
                ('transaction', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='angled.Transaction')),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'verbose_name': 'program',
                'ordering': ['-created_at'],
                'verbose_name_plural': 'program',
            },
        ),
        migrations.CreateModel(
            name='multi_program',
            fields=[
                ('id', models.AutoField(primary_key=True, serialize=False)),
                ('index', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='+', to='angled.ListIndex')),
                ('unit', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='+', to='angled.info_unit_program')),
            ],
        ),
        migrations.CreateModel(
            name='Reading_program',
            fields=[
                ('id', models.AutoField(primary_key=True, serialize=False)),
                ('audience', models.ForeignKey(default=0, on_delete=django.db.models.deletion.CASCADE, related_name='unit_audience_program', to='angled.Audience')),
                ('unit', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='readings', to='angled.info_unit_program')),
            ],
        ),
        migrations.CreateModel(
            name='Tagged_program',
            fields=[
                ('id', models.AutoField(primary_key=True, serialize=False)),
                ('tag', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='unit_tag_program', to='angled.Tag')),
                ('unit', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='tagged_program', to='angled.info_unit_program')),
            ],
        ),
    ]
